<div>
    <h2>
        <span jhiTranslate="bakApp.bankAccount.home.title">Bank Accounts</span>
        <button class="btn btn-primary float-right jh-create-entity create-bank-account-my-suffix" [routerLink]="['/', { outlets: { popup: ['bank-account-my-suffix-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="bakApp.bankAccount.home.createLabel">
            Create new Bank Account
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="bankAccounts">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="accountNumber"><span jhiTranslate="bakApp.bankAccount.accountNumber">Account Number</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="balance"><span jhiTranslate="bakApp.bankAccount.balance">Balance</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="customerId"><span jhiTranslate="bakApp.bankAccount.customer">Customer</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let bankAccount of bankAccounts ;trackBy: trackId">
                <td><a [routerLink]="['../bank-account-my-suffix', bankAccount.id ]">{{bankAccount.id}}</a></td>
                <td>{{bankAccount.accountNumber}}</td>
                <td>{{bankAccount.balance}}</td>
                <td>
                    <div *ngIf="bankAccount.customerId">
                        <a [routerLink]="['../customer-my-suffix', bankAccount.customerId  ]" >{{bankAccount.customerId}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../bank-account-my-suffix', bankAccount.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'bank-account-my-suffix/'+ bankAccount.id + '/edit'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'bank-account-my-suffix/'+ bankAccount.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="bankAccounts && bankAccounts.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="queryCount" [maxSize]="5" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
